<?php
/**
* プロファイル例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class ProfileException extends CharcoalException
{
	public function __construct( $parameter, $message = NULL )
	{
		$profile_name = Profile::getProfileName();

		$msg  = " [profile_name]$profile_name";
		$msg .= " [parameter]$parameter";
		if ( $message ){
			$msg .= " [message]$message";
		}

		parent::__construct( $msg );
	}

}

